Bug 1549626 - webui updates failing when a proxy is required
Summary: webui updates failing when a proxy is required
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Brandon Dunne
QA Contact: luke couzens
URL:
Whiteboard: webui:upgrade
Keywords: ZStream
Depends On: 1540550
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-27 14:10 UTC by Satoe Imaishi
Modified: 2018-06-25 14:17 UTC (History)
8 users (show)

(edit)
Clone Of: 1540550
(edit)
Last Closed: 2018-06-25 14:17:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Comment 2 CFME Bot 2018-03-01 22:21:05 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/320ad7ea332100b23a21cc1b22159d9adf06dff6

commit 320ad7ea332100b23a21cc1b22159d9adf06dff6
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Feb 8 17:19:55 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 1 17:18:49 2018 -0500

    Merge pull request #16972 from bdunne/configure_proxy_info_for_yum_updates
    
    Configure yum proxy if given for updates
    (cherry picked from commit 58a6e5645ac73ec5a6942bf97cdb56977f5fa5c4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1549626

 app/models/miq_server/update_management.rb       | 11 ++++++++
 spec/models/miq_server/update_management_spec.rb | 35 ++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

Comment 3 luke couzens 2018-04-20 11:26:34 UTC
I don't believe this is working correctly. I added the rhsm settings and proxy info to the ui but check/updating the appliance still fails. Checking the file from the PR /etc/yum.conf I see no proxy info has been added. If I manually add the settings to this file it works as expected. Pushing back to on dev.

Comment 5 Brandon Dunne 2018-04-26 16:42:07 UTC
Same resolution as https://bugzilla.redhat.com/show_bug.cgi?id=1549625#c6

Comment 6 luke couzens 2018-04-27 09:38:07 UTC
I have retested this one and confirmed this requires registration to update yum.conf however I had to manually edit rhsm.conf to get registration to be successful due to this bug that needs to be backported to 5.8

https://bugzilla.redhat.com/show_bug.cgi?id=1566562

Moving this to verified but 1566562 does need to be fixed.

Comment 7 Sudhir Mallamprabhakara 2018-04-27 12:38:44 UTC
Luke, This is the cloned BZ of 1566562 and targeted for 5.8.4.

https://bugzilla.redhat.com/show_bug.cgi?id=1572621

- Sudhir

Comment 9 errata-xmlrpc 2018-06-25 14:17:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.